import { useCallback } from 'react';
const useBoundaryProps = function useBoundaryProps({
  getProps = () => ({}),
  defaults = {}
}) {
  return useCallback((...args) => {
    const props = getProps(...args);
    return {
      ...defaults,
      ...props
    };
  }, [getProps, defaults]);
};
export default useBoundaryProps;